CTECH

26
Feb

Have You Upgraded Your Mac to Mavericks? You Must Install OS X 10.9.2 Immediately.

Mavericks Users Must Install OS X 10.9.2 to Prevent Data Interception The OS X 10.9.2 update, which patches the SSL bug found in a piece of open source code and other issues, is now available for Mavericks users. Don’t wait on this critical update.  Install it immediately.  Your Mac should have prompted you already. The SSL…

CONTACT US